Bug 1661114 (CVE-2018-20019)

Summary: CVE-2018-20019 libvncserver: Multiple heap out-of-bound writes in VNC client code
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: negativo17, ppisar, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1661116, 1661115, 1663003, 1663007, 1671409, 1671410    
Bug Blocks: 1661105    

Description Sam Fowler 2018-12-20 07:03:09 UTC
LibVNC before commit a83439b9fbe0f03c48eb94ed05729cb016f8b72f contains multiple heap out-of-bound write vulnerabilities in VNC client code, which can result in remote code execution. This attack appears to be exploitable via network connectivity. This vulnerability has been fixed in a83439b9fbe0f03c48eb94ed05729cb016f8b72f and later.


External Reference:

https://ics-cert.kaspersky.com/advisories/klcert-advisories/2018/12/19/klcert-18-029-libvnc-multiple-heap-out-of-bound-vulnerabilities/


Upstream Patch:

https://github.com/LibVNC/libvncserver/commit/a83439b9fbe0f03c48eb94ed05729cb016f8b72f

Comment 1 Sam Fowler 2018-12-20 07:03:25 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1661116]
Affects: fedora-all [bug 1661115]

Comment 2 Sam Fowler 2018-12-20 07:32:42 UTC
Upstream Issue:

https://github.com/LibVNC/libvncserver/issues/247

Comment 3 Stefan Cornelius 2018-12-21 11:44:56 UTC
Upstream patch is most likely problematic, for the same reasons as given in https://github.com/LibVNC/libvncserver/issues/273